Subject: Re: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: martin rudalics <[email-masked]>
Date: Fri, 11 Jan 2013 19:06:24 +0100

> In the case of the mouse-face property that means you can use (list 'my-face)
 > on the chunk you want to make sure it's not `eq' to an adjacent chunk.

Good to know that trick (undocumented I presume).

 > W.r.t. functions that return the pixel width/height of a string, I guess
 > you'd presume that the string would be displayed at the leftmost
 > position on a line, since the width/height of a string will depend on
 > where it's displayed in the window (which affects the width of TAB
 > chars, and the placement of line wraps).

Yes.  In my use case the buffer has no newline.

 >>> Anyway, how would you word-wrap in Lisp, except by adding display
 >>> strings with newlines (which AFAIR features like longlines
 >>> etc. already do)?
 >> By adding hard newlines.  All I care about is to (1) show the entire
 >> buffer text in a fixed-width window and (2) make that window as small as
 >> possible.
 >
 > How 'bout starting my making the window as high as you can, then call
 > (posn-at-point (point-max)), then shrink the window accordingly?

How could `posn-at-point' possibly work if the display is not up to
date?  And what I want to avoid is the redisplay.

martin